GET/account.json

Get Account Details

Retrieves details about the Teamwork account.


Query Params

  • Name
    getPreferences
    Type
    boolean
    Description
    Default
    false

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 Response

Examples

200 Response

application/json
{
  "STATUS": "OK",
  "account": {
    "id": "1",
    "name": "Teamwork Account Name",
    "companyname": "Owner Company Name",
    "companyid": "1",
    "code": "teamworksitecode",
    "URL": "http://sampleaccount.teamwork.com/",
    "logo": "http://www.someteamworkurl.com/images/349C6BDFA9EA4F814B6822C2F8C13A61%2Ejpg",
    "lang": "EN",
    "created-at": "2011-08-22T12:57:00Z",
    "datesignedup": "2013-03-05T00:00:00Z",
    "account-holder-id": "1",
    "siteOwnerName": "Site Owner",
    "siteOwnerEmail": "owner@example.com",
    "requirehttps": false,
    "ssl-enabled": true,
    "time-tracking-enabled": true,
    "email-notification-enabled": true,
    "pricePlan": "scale",
    "pricePlanName": "Teamwork - Scale",
    "currency": {
      "id": "1",
      "code": "USD",
      "name": "US dollar",
      "symbol": "$",
      "decimalPoints": "2"
    },
    "integrations": {
      "googledrive": {
        "available": true,
        "enabled": false,
        "connected": false,
        "folder": "",
        "folderId": ""
      },
      "dropbox": {
        "enabled": false,
        "hasAccess": false
      },
      "box": {
        "enabled": false,
        "hasAccess": false
      },
      "xero": {
        "enabled": false
      }
    },
    "ai": {
      "enabled": true
    },
    "preferences": {
      "projectHealthRedLabel": "Needs attention",
      "projectHealthAmberLabel": "At risk",
      "projectHealthGreenLabel": "Good"
    }
  }
}